<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('sites', function(Blueprint $table) {
			$table->foreign('city_id')->references('id')->on('cities')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('sites', function(Blueprint $table) {
			$table->foreign('country_id')->references('id')->on('countries')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('sites', function(Blueprint $table) {
			$table->foreign('region_id')->references('id')->on('regions')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->foreign('account_id')->references('id')->on('accounts')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->foreign('account_type_id')->references('id')->on('account_types')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->foreign('city_id')->references('id')->on('cities')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->foreign('gender_id')->references('id')->on('genders')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->foreign('Country_id')->references('id')->on('countries')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->foreign('region_id')->references('id')->on('regions')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->foreign('piece_jointes_id')->references('id')->on('piece_jointes')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('data_site', function(Blueprint $table) {
			$table->foreign('site_id')->references('id')->on('sites')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('data_site', function(Blueprint $table) {
			$table->foreign('data_id')->references('id')->on('datas')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('operations', function(Blueprint $table) {
			$table->foreign('implantation_id')->references('id')->on('implantations')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('operations', function(Blueprint $table) {
			$table->foreign('nature_id')->references('id')->on('natures')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('operations', function(Blueprint $table) {
			$table->foreign('productions_status_id')->references('id')->on('productions_status')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('operations', function(Blueprint $table) {
			$table->foreign('support_id')->references('id')->on('supports')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('operations', function(Blueprint $table) {
			$table->foreign('type_id')->references('id')->on('types')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('natures', function(Blueprint $table) {
			$table->foreign('piece_jointe_nature_id')->references('id')->on('piece_jointe_natures')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('pannels', function(Blueprint $table) {
			$table->foreign('pannel_model_id')->references('id')->on('pannels_models')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('pannels', function(Blueprint $table) {
			$table->foreign('string_id')->references('id')->on('strings')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('pannels', function(Blueprint $table) {
			$table->foreign('fixation_id')->references('id')->on('fixations')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('strings', function(Blueprint $table) {
			$table->foreign('orientation_id')->references('id')->on('orientations')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('strings', function(Blueprint $table) {
			$table->foreign('aray_id')->references('id')->on('arays')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('regions', function(Blueprint $table) {
			$table->foreign('country_id')->references('id')->on('countries')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('cities', function(Blueprint $table) {
			$table->foreign('region_id')->references('id')->on('regions')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('arays', function(Blueprint $table) {
			$table->foreign('zone_id')->references('id')->on('zones')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('zones', function(Blueprint $table) {
			$table->foreign('site_id')->references('id')->on('sites')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('shelters', function(Blueprint $table) {
			$table->foreign('zone_id')->references('id')->on('zones')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('perimetres', function(Blueprint $table) {
			$table->foreign('perimeter_type_id')->references('id')->on('perimeter_types')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('components', function(Blueprint $table) {
			$table->foreign('component_model_id')->references('id')->on('components_models')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('components', function(Blueprint $table) {
			$table->foreign('shelter_id')->references('id')->on('shelters')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('pannels_models', function(Blueprint $table) {
			$table->foreign('make_id')->references('id')->on('makes')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('components_models', function(Blueprint $table) {
			$table->foreign('make_id')->references('id')->on('makes')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->foreign('asset_id')->references('id')->on('assets')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->foreign('inspection_frequency_id')->references('id')->on('inspection_frequencies')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->foreign('installation_type_id')->references('id')->on('installation_types')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->foreign('inspection_id')->references('id')->on('inspections')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->foreign('maintenance_type_id')->references('id')->on('maintenance_types')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->foreign('related_servicing_id')->references('id')->on('related_servicing')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->foreign('phase_id')->references('id')->on('phases')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controle_site', function(Blueprint $table) {
			$table->foreign('controle_id')->references('id')->on('controles')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controle_site', function(Blueprint $table) {
			$table->foreign('site_id')->references('id')->on('sites')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->foreign('phase_point_controle_id')->references('id')->on('phase_point_controles')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->foreign('focuses_id')->references('id')->on('focuses')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->foreign('purposes_id')->references('id')->on('purposes')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->foreign('assessment_types_id')->references('id')->on('assessment_types')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->foreign('expected_accuracies_id')->references('id')->on('expected_accuracies')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->foreign('stakes_id')->references('id')->on('stakes')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->foreign('controle_types_id')->references('id')->on('controle_types')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->foreign('controle_id')->references('id')->on('controles')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->foreign('reference_id')->references('id')->on('references')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->foreign('defect_type_id')->references('id')->on('defect_types')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->foreign('confidence_id')->references('id')->on('confidences')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->foreign('criticality_id')->references('id')->on('criticalities')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->foreign('compliance_id')->references('id')->on('compliances')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->foreign('check_controle_id')->references('id')->on('Defect_categorizations')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->foreign('controle_points_id')->references('id')->on('controle_points')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('planifications', function(Blueprint $table) {
			$table->foreign('maintenancetype_id')->references('id')->on('maintenance_types')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('planifications', function(Blueprint $table) {
			$table->foreign('asset_id')->references('id')->on('assets')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('planifications', function(Blueprint $table) {
			$table->foreign('site_id')->references('id')->on('sites')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('component_planings', function(Blueprint $table) {
			$table->foreign('asset_id')->references('id')->on('assets')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controle_planification', function(Blueprint $table) {
			$table->foreign('controle_id')->references('id')->on('controles')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('controle_planification', function(Blueprint $table) {
			$table->foreign('planification_id')->references('id')->on('planifications')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('site_user', function(Blueprint $table) {
			$table->foreign('site_id')->references('id')->on('sites')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('site_user', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('sites', function(Blueprint $table) {
			$table->dropForeign('sites_city_id_foreign');
		});
		Schema::table('sites', function(Blueprint $table) {
			$table->dropForeign('sites_country_id_foreign');
		});
		Schema::table('sites', function(Blueprint $table) {
			$table->dropForeign('sites_region_id_foreign');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->dropForeign('datas_account_id_foreign');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->dropForeign('datas_account_type_id_foreign');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->dropForeign('datas_city_id_foreign');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->dropForeign('datas_gender_id_foreign');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->dropForeign('datas_Country_id_foreign');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->dropForeign('datas_region_id_foreign');
		});
		Schema::table('datas', function(Blueprint $table) {
			$table->dropForeign('datas_piece_jointes_id_foreign');
		});
		Schema::table('data_site', function(Blueprint $table) {
			$table->dropForeign('data_site_site_id_foreign');
		});
		Schema::table('data_site', function(Blueprint $table) {
			$table->dropForeign('data_site_data_id_foreign');
		});
		Schema::table('operations', function(Blueprint $table) {
			$table->dropForeign('operations_implantation_id_foreign');
		});
		Schema::table('operations', function(Blueprint $table) {
			$table->dropForeign('operations_nature_id_foreign');
		});
		Schema::table('operations', function(Blueprint $table) {
			$table->dropForeign('operations_productions_status_id_foreign');
		});
		Schema::table('operations', function(Blueprint $table) {
			$table->dropForeign('operations_support_id_foreign');
		});
		Schema::table('operations', function(Blueprint $table) {
			$table->dropForeign('operations_type_id_foreign');
		});
		Schema::table('natures', function(Blueprint $table) {
			$table->dropForeign('natures_piece_jointe_nature_id_foreign');
		});
		Schema::table('pannels', function(Blueprint $table) {
			$table->dropForeign('pannels_pannel_model_id_foreign');
		});
		Schema::table('pannels', function(Blueprint $table) {
			$table->dropForeign('pannels_string_id_foreign');
		});
		Schema::table('pannels', function(Blueprint $table) {
			$table->dropForeign('pannels_fixation_id_foreign');
		});
		Schema::table('strings', function(Blueprint $table) {
			$table->dropForeign('strings_orientation_id_foreign');
		});
		Schema::table('strings', function(Blueprint $table) {
			$table->dropForeign('strings_aray_id_foreign');
		});
		Schema::table('regions', function(Blueprint $table) {
			$table->dropForeign('regions_country_id_foreign');
		});
		Schema::table('cities', function(Blueprint $table) {
			$table->dropForeign('cities_region_id_foreign');
		});
		Schema::table('arays', function(Blueprint $table) {
			$table->dropForeign('arays_zone_id_foreign');
		});
		Schema::table('zones', function(Blueprint $table) {
			$table->dropForeign('zones_site_id_foreign');
		});
		Schema::table('shelters', function(Blueprint $table) {
			$table->dropForeign('shelters_zone_id_foreign');
		});
		Schema::table('perimetres', function(Blueprint $table) {
			$table->dropForeign('perimetres_perimeter_type_id_foreign');
		});
		Schema::table('components', function(Blueprint $table) {
			$table->dropForeign('components_component_model_id_foreign');
		});
		Schema::table('components', function(Blueprint $table) {
			$table->dropForeign('components_shelter_id_foreign');
		});
		Schema::table('pannels_models', function(Blueprint $table) {
			$table->dropForeign('pannels_models_make_id_foreign');
		});
		Schema::table('components_models', function(Blueprint $table) {
			$table->dropForeign('components_models_make_id_foreign');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->dropForeign('controles_asset_id_foreign');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->dropForeign('controles_inspection_frequency_id_foreign');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->dropForeign('controles_installation_type_id_foreign');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->dropForeign('controles_inspection_id_foreign');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->dropForeign('controles_maintenance_type_id_foreign');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->dropForeign('controles_related_servicing_id_foreign');
		});
		Schema::table('controles', function(Blueprint $table) {
			$table->dropForeign('controles_phase_id_foreign');
		});
		Schema::table('controle_site', function(Blueprint $table) {
			$table->dropForeign('controle_site_controle_id_foreign');
		});
		Schema::table('controle_site', function(Blueprint $table) {
			$table->dropForeign('controle_site_site_id_foreign');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->dropForeign('controle_points_phase_point_controle_id_foreign');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->dropForeign('controle_points_focuses_id_foreign');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->dropForeign('controle_points_purposes_id_foreign');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->dropForeign('controle_points_assessment_types_id_foreign');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->dropForeign('controle_points_expected_accuracies_id_foreign');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->dropForeign('controle_points_stakes_id_foreign');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->dropForeign('controle_points_controle_types_id_foreign');
		});
		Schema::table('controle_points', function(Blueprint $table) {
			$table->dropForeign('controle_points_controle_id_foreign');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->dropForeign('Defect_categorizations_reference_id_foreign');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->dropForeign('Defect_categorizations_defect_type_id_foreign');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->dropForeign('Defect_categorizations_confidence_id_foreign');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->dropForeign('Defect_categorizations_criticality_id_foreign');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->dropForeign('Defect_categorizations_compliance_id_foreign');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->dropForeign('Defect_categorizations_check_controle_id_foreign');
		});
		Schema::table('Defect_categorizations', function(Blueprint $table) {
			$table->dropForeign('Defect_categorizations_controle_points_id_foreign');
		});
		Schema::table('planifications', function(Blueprint $table) {
			$table->dropForeign('planifications_maintenancetype_id_foreign');
		});
		Schema::table('planifications', function(Blueprint $table) {
			$table->dropForeign('planifications_asset_id_foreign');
		});
		Schema::table('planifications', function(Blueprint $table) {
			$table->dropForeign('planifications_site_id_foreign');
		});
		Schema::table('component_planings', function(Blueprint $table) {
			$table->dropForeign('component_planings_asset_id_foreign');
		});
		Schema::table('controle_planification', function(Blueprint $table) {
			$table->dropForeign('controle_planification_controle_id_foreign');
		});
		Schema::table('controle_planification', function(Blueprint $table) {
			$table->dropForeign('controle_planification_planification_id_foreign');
		});
		Schema::table('site_user', function(Blueprint $table) {
			$table->dropForeign('site_user_site_id_foreign');
		});
		Schema::table('site_user', function(Blueprint $table) {
			$table->dropForeign('site_user_user_id_foreign');
		});
	}
}